# dmxvisual.h File Reference

`#include "scrnintstr.h"`

Go to the source code of this file.

## Functions

Visual * | dmxLookupVisual (ScreenPtr pScreen, VisualPtr pVisual)
Visual * | dmxLookupVisualFromID (ScreenPtr pScreen, VisualID vid)
Colormap | dmxColormapFromDefaultVisual (ScreenPtr pScreen, Visual *visual)

## Detailed Description

Interface for visual support.

See also:
  dmxvisual.c

## Function Documentation

Colormap dmxColormapFromDefaultVisual | ( | ScreenPtr | pScreen,
|  | Visual * | visual
| ) |

| Return the colormap for the visual.

Visual* dmxLookupVisual | ( | ScreenPtr | pScreen,
|  | VisualPtr | pVisual
| ) |

| Return the visual that matched pVisual.

Visual* dmxLookupVisualFromID | ( | ScreenPtr | pScreen,
|  | VisualID | vid
| ) |

| Return the visual that matched the vid.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>